printer-driver-pxljr_1.4+repack0-5_amd64.deb


Advertisement

Description

printer-driver-pxljr - printer driver for HP Color LaserJet 35xx/36xx

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name printer-driver-pxljr
Package version 1.4+repack0
Package release 5
Package architecture amd64
Package type deb
Installed size 76 B
Download size 26.55 KB
Official Mirror archive.ubuntu.com
HP's Color LaserJets 35xx and 36xx are supported by HP's HPIJS driver
(part of HPLIP), but HPIJS supports only the lowest quality level of
the three which are available under Windows. This driver which is not
developed at HP but by an independent developer, supports all modes and
so provides the highest printout quality for these printers.

Alternatives

Package Version Architecture Repository
printer-driver-pxljr_1.4+repack0-5_i386.deb 1.4+repack0 i386 Ubuntu Main
printer-driver-pxljr - - -

Requires

Name Value
cups-filters >= 1.0.42
foomatic-filters >= 4.0.0~bzr156
libc6 >= 2.14
libijs-0.35 >= 0.35
libjpeg8 >= 8c
python3 -
xz-utils -

Replaces

Name Value
pxljr << 1.3+repack0-2~

Download

Type URL
Binary Package printer-driver-pxljr_1.4+repack0-5_amd64.deb
Source Package pxljr

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install printer-driver-pxljr deb package:
    # sudo apt-get install printer-driver-pxljr

Files

Path
/usr/bin/ijs_pxljr
/usr/lib/cups/driver/pxljr
/usr/share/apport/package-hooks/source_pxljr.py
/usr/share/cups/ppd-updaters/printer-driver-pxljr.ppd-updater
/usr/share/doc/printer-driver-pxljr/FAQ
/usr/share/doc/printer-driver-pxljr/FAQ.html
/usr/share/doc/printer-driver-pxljr/README.Debian
/usr/share/doc/printer-driver-pxljr/changelog.Debian.gz
/usr/share/doc/printer-driver-pxljr/copyright
/usr/share/doc/printer-driver-pxljr/gs-gamma.ps

Changelog

2018-02-10 - Didier Raboud <odyx@debian.org>
pxljr (1.4+repack0-5) unstable; urgency=medium
* Bump Standards-Version to 4.1.3 without changes needed
* Update Vcs-* fields for the move to salsa.d.o
* Initialize git-dpm
2014-03-06 - Didier Raboud <odyx@debian.org>
pxljr (1.4+repack0-4) unstable; urgency=medium
* Move the repository from collab-maint to printing; update the VCS-* fields
accordingly
2013-12-06 - Didier Raboud <odyx@debian.org>
pxljr (1.4+repack0-3) unstable; urgency=low
* Add cups-filters >= 1.0.42 as first alternative dependency to
foomatic-filters
* Specify automake versioned (>= 1.11) build dependency
* Drop pxljr transitional package which reached stable
* Bump Standards-Version to 3.9.5 without changes needed
2013-09-12 - Didier Raboud <odyx@debian.org>
pxljr (1.4+repack0-2) unstable; urgency=low
[ Pascal De Vuyst ]
* Fix typo in package long description (Closes: #712375)
[ Didier Raboud ]
* Rebuild against pyppd >= 1.0.1
2013-06-14 - Didier Raboud <odyx@debian.org>
pxljr (1.4+repack0-1) unstable; urgency=low
* New 1.4 upstream release
- The libjpeg convenience copy has been dropped.
[ Didier Raboud ]
* Repack the original 1.4 tarball to remove the libijs convenience
copy.
* Bump Standards-Version to 3.9.4 without changes needed
* Bump debhelper depends to 9 to align with compat
[ Pascal De Vuyst ]
* Fix typo in package description (Closes: #703758)
2011-10-24 - Didier Raboud <odyx@debian.org>
pxljr (1.3+repack0-2) unstable; urgency=low
* Refactoring, action 1:
- rename pxljr to printer-driver-pxljr, add transitional package.
* Bump debhelper compat to 9 for auto- buildflags.
* Slightly rewrite descriptions.
* Fix typo in debian/copyright.
2011-08-31 - Didier Raboud <odyx@debian.org>
pxljr (1.3+repack0-1) unstable; urgency=low
* Initial Debian release (Closes: #639898).
* Start from the Ubuntu packaging, thanks!
* Repack the original 1.3+wjpeg tarball to:
- Remove the libjpeg convenience copy.
- Remove the libijs convenience copy.
* Add lib{ijs,jpeg}-dev Build-Depends
* Create add_simple_buildsystem.patch to compile ijs_pxljr with libijs and
libjpeg system libraries.
* Put under the Debian Printing Team umbrella, add myself as Uploader.
* Convert to tiny dh style.
* Use dh_pyppd trough the --with stanza.
* Add VCS-* fields.
* Use a proper Homepage: field.
* Convert to 3.0 (quilt) source format.
* Rewrite debian/copyright: 
- DEP-5-style.
- Mention the repacking in the header section.
- List LibJPEG-covered files.
* Install the apport hook conditionally.
* Lower-case short description.
* Add debian/watch.
* Bump Standards-Version to 3.9.2 witout changes needed.
2011-08-21 - Till Kamppeter <till.kamppeter@gmail.com>
pxljr (1.3-0ubuntu2) oneiric; urgency=low
* debian/control, debian/rules, debian/pxljr.postinst,
debian/pxljr-ppd-updater: Replace the PPD-updater postinst by CUPS' trigger,
replacing the postinst script bya ppd-updater file with the needed
parameters and removing the dependency on the CUPS packages.
* debian/control, debian/rules: Compress the PPD files using the dh_pyppd
debhelper.
2011-08-08 - Till Kamppeter <till.kamppeter@gmail.com>
pxljr (1.3-0ubuntu1) oneiric; urgency=low
* New upstream release
o Duplex printing works now
o Fixed the bug of Some solid colors being printed in white in "Normal"
and "Draft" quality modes (LP: #228635)
o Included all needed files of libjpeg 6b to be independent of the system's
libjpeg for the "Normal" and "Draft" quality modes to work correctly.
* debian/patches/blank-color-squares.patch, debian/patches/duplex.patch,
debian/local/jpeg-6b/: Removed, incorporated upstream.
* debian/rules: Removed build instructions for included libjpeg.
* debian/control: Removed unneeded build-dependencies.

See Also

Package Description
printer-driver-sag-gdi_0.1-5_all.deb printer driver for Ricoh Aficio SP 1000s/SP 1100s
printer-driver-splix_2.0.0+svn315-6fakesync1_amd64.deb Driver for Samsung and Xerox SPL2 and SPLc laser printers
procmail_3.22-26_amd64.deb Versatile e-mail processor
procps_3.3.12-3ubuntu1_amd64.deb /proc file system utilities
psf-unifont_10.0.07-1_all.deb PSF (console) version of GNU Unifont with APL support
psmisc_23.1-1_amd64.deb utilities that use the proc file system
publicsuffix_20180223.1310-1_all.deb accurate, machine-readable list of domain name suffixes
pulseaudio-module-bluetooth_11.1-1ubuntu7_amd64.deb Bluetooth module for PulseAudio sound server
pulseaudio-utils_11.1-1ubuntu7_amd64.deb Command line tools for the PulseAudio sound server
pulseaudio_11.1-1ubuntu7_amd64.deb PulseAudio sound server
pv_1.6.6-1_amd64.deb Shell pipeline element to meter data passing through
pxelinux_6.03+dfsg1-2_all.deb collection of bootloaders (PXE network bootloader)
pycadf-common_2.7.0-0ubuntu1_all.deb implementation of DMTF Cloud Audit (CADF) data model - common files
python-alembic_0.9.3-2ubuntu1_all.deb lightweight database migration tool for SQLAlchemy - Python 2.x
python-all-dev_2.7.15~rc1-1_amd64.deb package depending on all supported Python development packages
Advertisement
Advertisement